require 'spec_helper'

describe MassdebatorApi::Service, "class defaults" do
  subject { MassdebatorApi::Service }
  let(:config_hash) do
    {
      "test" => {
        "host"   => "localhost",
        "port"   => 80,
        "token"  => "abc123",
        "secret" => "def456"
      }
    }
  end

  before do
    MassdebatorApi::Service.stubs(:configuration_hash => config_hash)
  end

  it "returns the correct path for the api" do
    subject.base_path.should == "/api/v1"
  end

  it "returns the base uri" do
    subject.base_uri.should == "http://#{config_hash['test']['host']}#{subject.base_path}"
  end

  it "returns the token" do
    subject.token.should == config_hash['test']['token']
  end

  it "returns the secret" do
    subject.secret.should == config_hash['test']['secret']
  end

  it "returns the port" do
    subject.port.should == config_hash['test']['port']
  end

  it "returns the headers" do
    subject.headers.should == {
      "massdebator-token"  => config_hash['test']['token'],
      "massdebator-secret" => config_hash['test']['secret']
    }
  end
end
